astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astropy Core Package Utilities (`astropy.utils`) »
- download_files_in_parallel

# download_files_in_parallel

`astropy.utils.data.``download_files_in_parallel`(urls, cache=False, show_progress=True, timeout=None)

  Downloads multiple files in parallel from the given URLs. Blocks until all files have downloaded. The result is a list of local file paths corresponding to the given urls.

  Parameters:

  urls : list of str

  > The URLs to retrieve.

  cache : bool, optional

  > Whether to use the cache

  show_progress : bool, optional

  > Whether to display a progress bar during the download (default is `True`)

  timeout : float, optional

  > Timeout for the requests in seconds (default is the configurable `astropy.utils.data.Conf.remote_timeout`).

  Returns:

  paths : list of str

  > The local file paths corresponding to the downloaded URLs.